diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/class-wp-ms-themes-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/class-wp-ms-themes-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/class-wp-ms-themes-list-table.php	2013-07-08 08:04:07.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/class-wp-ms-themes-list-table.php	2013-09-05 11:34:09.000000000 -0500
***************
*** 84,90 ****
  
  		if ( $s ) {
  			$status = 'search';
! 			$themes['search'] = array_filter( array_merge( $themes['all'], $themes['broken'] ), array( &$this, '_search_callback' ) );
  		}
  
  		$totals = array();
--- 84,90 ----
  
  		if ( $s ) {
  			$status = 'search';
! 			$themes['search'] = array_filter( array_merge( $themes['all'], $themes['broken'] ), array( $this, '_search_callback' ) );
  		}
  
  		$totals = array();
***************
*** 108,114 ****
  				if ( 'ASC' == $order )
  					$this->items = array_reverse( $this->items );
  			} else {
! 				uasort( $this->items, array( &$this, '_order_callback' ) );
  			}
  		}
  
--- 108,114 ----
  				if ( 'ASC' == $order )
  					$this->items = array_reverse( $this->items );
  			} else {
! 				uasort( $this->items, array( $this, '_order_callback' ) );
  			}
  		}
  
***************
*** 284,291 ****
  		if ( ! $allowed && current_user_can( 'delete_themes' ) && ! $this->is_site_themes && $stylesheet != get_option( 'stylesheet' ) && $stylesheet != get_option( 'template' ) )
  			$actions['delete'] = '<a href="' . esc_url( wp_nonce_url( 'themes.php?action=delete-selected&amp;checked[]=' . $theme_key . '&amp;theme_status=' . $context . '&amp;paged=' . $page . '&amp;s=' . $s, 'bulk-themes' ) ) . '" title="' . esc_attr__( 'Delete this theme' ) . '" class="delete">' . __( 'Delete' ) . '</a>';
  
! 		$actions = apply_filters( 'theme_action_links', array_filter( $actions ), $stylesheet, $theme, $context );
! 		$actions = apply_filters( "theme_action_links_$stylesheet", $actions, $stylesheet, $theme, $context );
  
  		$class = ! $allowed ? 'inactive' : 'active';
  		$checkbox_id = "checkbox_" . md5( $theme->get('Name') );
--- 284,291 ----
  		if ( ! $allowed && current_user_can( 'delete_themes' ) && ! $this->is_site_themes && $stylesheet != get_option( 'stylesheet' ) && $stylesheet != get_option( 'template' ) )
  			$actions['delete'] = '<a href="' . esc_url( wp_nonce_url( 'themes.php?action=delete-selected&amp;checked[]=' . $theme_key . '&amp;theme_status=' . $context . '&amp;paged=' . $page . '&amp;s=' . $s, 'bulk-themes' ) ) . '" title="' . esc_attr__( 'Delete this theme' ) . '" class="delete">' . __( 'Delete' ) . '</a>';
  
! 		$actions = apply_filters( 'theme_action_links', array_filter( $actions ), $theme, $context );
! 		$actions = apply_filters( "theme_action_links_$stylesheet", $actions, $theme, $context );
  
  		$class = ! $allowed ? 'inactive' : 'active';
  		$checkbox_id = "checkbox_" . md5( $theme->get('Name') );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/class-wp-plugin-install-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/class-wp-plugin-install-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/class-wp-plugin-install-list-table.php	2013-03-01 11:00:25.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/class-wp-plugin-install-list-table.php	2013-09-25 21:48:09.000000000 -0500
***************
*** 37,43 ****
--- 37,59 ----
  
  		$nonmenu_tabs = array( 'plugin-information' ); //Valid actions to perform which do not have a Menu item.
  
+ 		/**
+ 		 * Filter the tabs shown on the Plugin Install screen.
+ 		 *
+ 		 * @since 2.7.0
+ 		 *
+ 		 * @param array $tabs The tabs shown on the Plugin Install screen. Defaults are 'dashboard', 'search',
+ 		 *                    'upload', 'featured', 'popular', 'new', and 'favorites'.
+ 		 */
  		$tabs = apply_filters( 'install_plugins_tabs', $tabs );
+ 
+ 		/**
+ 		 * Filter tabs not associated with a menu item on the Plugin Install screen.
+ 		 *
+ 		 * @since 2.7.0
+ 		 *
+ 		 * @param array $nonmenu_tabs The tabs that don't have a Menu item on the Plugin Install screen.
+ 		 */
  		$nonmenu_tabs = apply_filters( 'install_plugins_nonmenu_tabs', $nonmenu_tabs );
  
  		// If a non-valid menu tab has been selected, And it's not a non-menu action.
***************
*** 85,92 ****
--- 101,122 ----
  
  			default:
  				$args = false;
+ 				break;
  		}
  
+ 		/**
+ 		 * Filter API request arguments for each Plugin Install screen tab.
+ 		 *
+ 		 * The dynamic portion of the hook name, $tab, refers to the plugin install tabs.
+ 		 * Default tabs are 'dashboard', 'search', 'upload', 'featured', 'popular', 'new',
+ 		 * and 'favorites'.
+ 		 *
+ 		 * @since 3.7.0
+ 		 *
+ 		 * @param array|bool $args Plugin Install API arguments.
+ 		 */
+ 		$args = apply_filters( "install_plugins_table_api_args_$tab", $args );
+ 
  		if ( !$args )
  			return;
  
***************
*** 124,130 ****
  		if ( 'top' ==  $which ) { ?>
  			<div class="tablenav top">
  				<div class="alignleft actions">
! 					<?php do_action( 'install_plugins_table_header' ); ?>
  				</div>
  				<?php $this->pagination( $which ); ?>
  				<br class="clear" />
--- 154,166 ----
  		if ( 'top' ==  $which ) { ?>
  			<div class="tablenav top">
  				<div class="alignleft actions">
! 					<?php
! 					/**
! 					 * Fires before the Plugin Install table header pagination is displayed.
! 					 *
! 					 * @since 2.7.0
! 					 */
! 					do_action( 'install_plugins_table_header' ); ?>
  				</div>
  				<?php $this->pagination( $which ); ?>
  				<br class="clear" />
***************
*** 218,223 ****
--- 254,267 ----
  				}
  			}
  
+ 			/**
+ 			 * Filter the install action links for a plugin.
+ 			 *
+ 			 * @since 2.7.0
+ 			 *
+ 			 * @param array $action_links An array of plugin action hyperlinks. Defaults are links to Details and Install Now.
+ 			 * @param array $plugin       The plugin currently being listed.
+ 			 */
  			$action_links = apply_filters( 'plugin_install_action_links', $action_links, $plugin );
  		?>
  		<tr>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/class-wp-plugins-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/class-wp-plugins-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/class-wp-plugins-list-table.php	2013-07-08 08:04:07.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/class-wp-plugins-list-table.php	2013-09-13 04:37:10.000000000 -0500
***************
*** 99,105 ****
  
  		if ( $s ) {
  			$status = 'search';
! 			$plugins['search'] = array_filter( $plugins['all'], array( &$this, '_search_callback' ) );
  		}
  
  		$totals = array();
--- 99,105 ----
  
  		if ( $s ) {
  			$status = 'search';
! 			$plugins['search'] = array_filter( $plugins['all'], array( $this, '_search_callback' ) );
  		}
  
  		$totals = array();
***************
*** 121,127 ****
  			$orderby = ucfirst( $orderby );
  			$order = strtoupper( $order );
  
! 			uasort( $this->items, array( &$this, '_order_callback' ) );
  		}
  
  		$plugins_per_page = $this->get_items_per_page( str_replace( '-', '_', $screen->id . '_per_page' ), 999 );
--- 121,127 ----
  			$orderby = ucfirst( $orderby );
  			$order = strtoupper( $order );
  
! 			uasort( $this->items, array( $this, '_order_callback' ) );
  		}
  
  		$plugins_per_page = $this->get_items_per_page( str_replace( '-', '_', $screen->id . '_per_page' ), 999 );
***************
*** 321,327 ****
  			if ( true === ( $dropins[ $plugin_file ][1] ) ) { // Doesn't require a constant
  				$is_active = true;
  				$description = '<p><strong>' . $dropins[ $plugin_file ][0] . '</strong></p>';
! 			} elseif ( constant( $dropins[ $plugin_file ][1] ) ) { // Constant is true
  				$is_active = true;
  				$description = '<p><strong>' . $dropins[ $plugin_file ][0] . '</strong></p>';
  			} else {
--- 321,327 ----
  			if ( true === ( $dropins[ $plugin_file ][1] ) ) { // Doesn't require a constant
  				$is_active = true;
  				$description = '<p><strong>' . $dropins[ $plugin_file ][0] . '</strong></p>';
! 			} elseif ( defined( $dropins[ $plugin_file ][1] ) && constant( $dropins[ $plugin_file ][1] ) ) { // Constant is true
  				$is_active = true;
  				$description = '<p><strong>' . $dropins[ $plugin_file ][0] . '</strong></p>';
  			} else {
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/class-wp-posts-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/class-wp-posts-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/class-wp-posts-list-table.php	2013-07-23 10:04:55.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/class-wp-posts-list-table.php	2013-10-22 12:22:11.000000000 -0500
***************
*** 57,65 ****
  		$post_type_object = get_post_type_object( $post_type );
  
  		if ( !current_user_can( $post_type_object->cap->edit_others_posts ) ) {
  			$this->user_posts_count = $wpdb->get_var( $wpdb->prepare( "
  				SELECT COUNT( 1 ) FROM $wpdb->posts
! 				WHERE post_type = %s AND post_status NOT IN ( 'trash', 'auto-draft' )
  				AND post_author = %d
  			", $post_type, get_current_user_id() ) );
  
--- 57,66 ----
  		$post_type_object = get_post_type_object( $post_type );
  
  		if ( !current_user_can( $post_type_object->cap->edit_others_posts ) ) {
+ 			$exclude_states = get_post_stati( array( 'show_in_admin_all_list' => false ) );
  			$this->user_posts_count = $wpdb->get_var( $wpdb->prepare( "
  				SELECT COUNT( 1 ) FROM $wpdb->posts
! 				WHERE post_type = %s AND post_status NOT IN ( '" . implode( "','", $exclude_states ) . "' )
  				AND post_author = %d
  			", $post_type, get_current_user_id() ) );
  
***************
*** 69,75 ****
  
  		if ( 'post' == $post_type && $sticky_posts = get_option( 'sticky_posts' ) ) {
  			$sticky_posts = implode( ', ', array_map( 'absint', (array) $sticky_posts ) );
! 			$this->sticky_posts_count = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT( 1 ) FROM $wpdb->posts WHERE post_type = %s AND post_status != 'trash' AND ID IN ($sticky_posts)", $post_type ) );
  		}
  	}
  
--- 70,76 ----
  
  		if ( 'post' == $post_type && $sticky_posts = get_option( 'sticky_posts' ) ) {
  			$sticky_posts = implode( ', ', array_map( 'absint', (array) $sticky_posts ) );
! 			$this->sticky_posts_count = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT( 1 ) FROM $wpdb->posts WHERE post_type = %s AND post_status NOT IN ('trash', 'auto-draft') AND ID IN ($sticky_posts)", $post_type ) );
  		}
  	}
  
***************
*** 417,428 ****
  	 *
  	 * @since 3.1.0 (Standalone function exists since 2.6.0)
  	 *
! 	 * @param unknown_type $children_pages
! 	 * @param unknown_type $count
! 	 * @param unknown_type $parent
! 	 * @param unknown_type $level
! 	 * @param unknown_type $pagenum
! 	 * @param unknown_type $per_page
  	 */
  	function _page_rows( &$children_pages, &$count, $parent, $level, $pagenum, $per_page ) {
  
--- 418,429 ----
  	 *
  	 * @since 3.1.0 (Standalone function exists since 2.6.0)
  	 *
! 	 * @param array $children_pages
! 	 * @param int $count
! 	 * @param int $parent
! 	 * @param int $level
! 	 * @param int $pagenum
! 	 * @param int $per_page
  	 */
  	function _page_rows( &$children_pages, &$count, $parent, $level, $pagenum, $per_page ) {
  
***************
*** 539,546 ****
  							$level++;
  							$find_main_page = (int) $parent->post_parent;
  
! 							if ( !isset( $parent_name ) )
  								$parent_name = apply_filters( 'the_title', $parent->post_title, $parent->ID );
  						}
  					}
  				}
--- 540,549 ----
  							$level++;
  							$find_main_page = (int) $parent->post_parent;
  
! 							if ( !isset( $parent_name ) ) {
! 								/** This filter is documented in wp-includes/post-template.php */
  								$parent_name = apply_filters( 'the_title', $parent->post_title, $parent->ID );
+ 							}
  						}
  					}
  				}
***************
*** 1034,1039 ****
--- 1037,1069 ----
  	<?php endif; // 'post' && $can_publish && current_user_can( 'edit_others_cap' ) ?>
  
  			</div>
+ 
+ 	<?php
+ 
+ 	if ( $bulk && post_type_supports( $screen->post_type, 'post-formats' ) ) {
+ 		$all_post_formats = get_post_format_strings();
+ 
+ 		?>
+ 		<label class="alignleft" for="post_format">
+ 		<span class="title"><?php _ex( 'Format', 'post format' ); ?></span>
+ 		<select name="post_format">
+ 			<option value="-1"><?php _e( '&mdash; No Change &mdash;' ); ?></option>
+ 			<?php
+ 
+ 			foreach ( $all_post_formats as $slug => $format ) {
+ 				?>
+ 				<option value="<?php echo esc_attr( $slug ); ?>"><?php echo esc_html( $format ); ?></option>
+ 				<?php
+ 			}
+ 
+ 			?>
+ 		</select></label>
+ 	<?php
+ 
+ 	}
+ 
+ 	?>
+ 
  		</div></fieldset>
  
  	<?php
***************
*** 1057,1062 ****
--- 1087,1095 ----
  			} ?>
  			<input type="hidden" name="post_view" value="<?php echo esc_attr( $m ); ?>" />
  			<input type="hidden" name="screen" value="<?php echo esc_attr( $screen->id ); ?>" />
+ 			<?php if ( ! $bulk && ! post_type_supports( $screen->post_type, 'author' ) ) { ?>
+ 				<input type="hidden" name="post_author" value="<?php echo esc_attr( $post->post_author ); ?>" />
+ 			<?php } ?>
  			<span class="error" style="display:none"></span>
  			<br class="clear" />
  		</p>
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/class-wp-terms-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/class-wp-terms-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/class-wp-terms-list-table.php	2013-05-27 23:53:46.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/class-wp-terms-list-table.php	2013-07-28 16:06:19.000000000 -0500
***************
*** 259,265 ****
  		}
  		if ( current_user_can( $tax->cap->delete_terms ) && $tag->term_id != $default_term )
  			$actions['delete'] = "<a class='delete-tag' href='" . wp_nonce_url( "edit-tags.php?action=delete&amp;taxonomy=$taxonomy&amp;tag_ID=$tag->term_id", 'delete-tag_' . $tag->term_id ) . "'>" . __( 'Delete' ) . "</a>";
! 		$actions['view'] = '<a href="' . get_term_link( $tag ) . '">' . __( 'View' ) . '</a>';
  
  		$actions = apply_filters( 'tag_row_actions', $actions, $tag );
  		$actions = apply_filters( "{$taxonomy}_row_actions", $actions, $tag );
--- 259,266 ----
  		}
  		if ( current_user_can( $tax->cap->delete_terms ) && $tag->term_id != $default_term )
  			$actions['delete'] = "<a class='delete-tag' href='" . wp_nonce_url( "edit-tags.php?action=delete&amp;taxonomy=$taxonomy&amp;tag_ID=$tag->term_id", 'delete-tag_' . $tag->term_id ) . "'>" . __( 'Delete' ) . "</a>";
! 		if ( $tax->public )
! 			$actions['view'] = '<a href="' . get_term_link( $tag ) . '">' . __( 'View' ) . '</a>';
  
  		$actions = apply_filters( 'tag_row_actions', $actions, $tag );
  		$actions = apply_filters( "{$taxonomy}_row_actions", $actions, $tag );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/class-wp-theme-install-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/class-wp-theme-install-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/class-wp-theme-install-list-table.php	2013-06-05 11:51:07.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/class-wp-theme-install-list-table.php	2013-08-21 01:52:12.000000000 -0500
***************
*** 90,97 ****
--- 90,100 ----
  
  			default:
  				$args = false;
+ 				break;
  		}
  
+ 		$args = apply_filters( 'install_themes_table_api_args_' . $tab, $args );
+ 
  		if ( ! $args )
  			return;
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/class-wp-themes-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/class-wp-themes-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/class-wp-themes-list-table.php	2013-03-01 11:00:25.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/class-wp-themes-list-table.php	2013-09-11 19:03:10.000000000 -0500
***************
*** 114,119 ****
--- 114,129 ----
  		return array();
  	}
  
+ 	function display_rows_or_placeholder() {
+ 		if ( $this->has_items() ) {
+ 			$this->display_rows();
+ 		} else {
+ 			echo '<div class="no-items">';
+ 			$this->no_items();
+ 			echo '</div>';
+ 		}
+ 	}
+ 
  	function display_rows() {
  		$themes = $this->items;
  
***************
*** 149,154 ****
--- 159,165 ----
  					. "' );" . '">' . __( 'Delete' ) . '</a>';
  
  			$actions       = apply_filters( 'theme_action_links', $actions, $theme );
+ 			$actions       = apply_filters( "theme_action_links_$stylesheet", $actions, $theme );
  			$delete_action = isset( $actions['delete'] ) ? '<div class="delete-theme">' . $actions['delete'] . '</div>' : '';
  			unset( $actions['delete'] );
  
